This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 743179 - Too slow to load the document list of a big project with 1000+ documents
Too slow to load the document list of a big project with 1000+ documents
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
1.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.1
  Show dependency treegraph
 
Reported: 2011-10-04 00:29 EDT by Ding-Yi Chen
Modified: 2013-03-03 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-05 22:51:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-10-04 00:29:40 EDT
Description of problem:
Many translators experiencing unbearable slow when showing the document list that has more than 1000 documents. 

Version-Release number of selected component (if applicable):
1.4.1-SNAPSHOT (20111003-1737

How reproducible:
Most of time, especially with low-end client.

Steps to Reproduce:
1. Import a project that has more than 1000 documents.
2. Click project, and click translate on any available language.
3. 
  
Actual results:
Browser seems halting, forever loading, or pop-up a dialog that ask whether to stop java script.

Expected results:
UI is responsive  after a short waiting period.

Additional info:
Comment 1 Sean Flanigan 2011-10-05 01:02:47 EDT
Performance should be much improved by commit 3d6fdb8c through commit 288ab772.
Comment 2 Sean Flanigan 2011-10-05 02:50:21 EDT
The fix is in Zanata 1.4.1.
Comment 3 Ding-Yi Chen 2011-10-05 22:28:16 EDT
Tested with locale ar (which is 0% translated) and ja (which is 69% translated).

On thinkpad-t60 (CPU: (4 cores) Intel(R) Core(TM)2 CPU T7200  @ 2.00GHz
; Memory 2gB; Arch i386), RHEL5
  Firefox-3.6.22:
     Time to load locale ar: 0:34 (min:sec)
     Time to load locale ja: 0:31 

  Opera-11.51:
     Time to load locale ar: 0:16 (min:sec)
     Time to load locale ja: 0:15 


On thinkpad-t510 (CPU (4 cores): Intel(R) Core(TM) i7 CPU M 620  @ 2.67GHz
; Memory 3GB; Arch x86_64), RHEL6
  Firefox-3.6.27:
     Time to load locale ar: 0:19 (min:sec)
     Time to load locale ja: 0:20 

  Opera-11.51:
     Time to load locale ar: 0:09 (min:sec)
     Time to load locale ja: 0:10 

  Chrome 15.0.874.54:
     Time to load locale ar: 0:08 (min:sec)
     Time to load locale ja: 0:06

On thinkpad-t510 (CPU (4 cores): Intel(R) Core(TM) i7 CPU M 620  @ 2.67GHz
; Memory 4GB; Arch x86_64), Fedora-15
  Firefox-7.0:
     Time to load locale ar: 0:12 (min:sec)
     Time to load locale ja: 0:15 

  Opera-11.51:
     Time to load locale ar: 0:10 (min:sec)
     Time to load locale ja: 0:10 

  Chrome 14.0.830.186:
     Time to load locale ar: 0:08 (min:sec)
     Time to load locale ja: 0:06
 

Note: By default, Firefox may popup "Unresponsive Script" warning dialog if script does not finish in 10 seconds.

To increase the waiting period, please follow the instruction of:
http://support.mozilla.com/en-US/kb/Warning%20Unresponsive%20script


VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111006-1045)

Note You need to log in before you can comment on or make changes to this bug.